<?php
error_reporting(false);

header('Content-Type: application/json');
header("Cache-Control: no-cache");
header("Pragma: no-cache");

include('../conexao.php');

$id = (int)$_POST['id'];

if($_POST['arquivo'] != '') {

$sql = "update tabela_digital_programacao set titulo='".utf8_decode($_POST['titulo'])."', voltas='".$_POST['voltas']."', arquivo = '".$_POST['arquivo']."' where id = ".$id;

} else {

$sql = "update tabela_digital_programacao set titulo='".utf8_decode($_POST['titulo'])."', voltas='".$_POST['voltas']."' where id = ".$id;

}

$up = mysqli_query($con, $sql);

if($up) {
$varm = array('resp' => 'ok');
} else {
$varm = array('resp' => 'erro','sql'=>$sql);
}

echo json_encode($varm); 

?>